.overlay {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9999;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.p-progress-spinner {
  position: relative;
  margin: 0 auto;
  width: 100px;
  height: 100px;
  display: inline-block;
}

.spinner {
  height: 100%;
  transform-origin: center center;
  width: 100%;
  position: absolute;
  inset: 0;
  margin: auto;
  animation: rotator 1.4s linear infinite;
}

.path {
  stroke-dasharray: 89, 200;
  stroke-dashoffset: 0;
  stroke: var(--primary);
  animation: p-progress-spinner-dash 1.5s ease-in-out infinite, p-progress-spinner-color 6s ease-in-out infinite;
  stroke-linecap: round;
}

span {
  font-size: 24px;
  font-weight: 400;
  letter-spacing: 1.3px;
  color: white;
  opacity: 0;
  animation: fadeIn 0.5s ease-in-out forwards;
  margin-top: 10px;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: translateY(-10px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes rotator {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes p-progress-spinner-dash {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }

  50% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -35px;
  }

  100% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -124px;
  }
}


@keyframes p-progress-spinner-color {

  100%,
  0% {
    stroke: var(--primary);
  }

  40% {
    stroke: #FF5733;
  }

  66% {
    stroke: var(--primary-1);
  }

  80%,
  90% {
    stroke: #27AE60;
  }
}
